Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Interface ParserConstants

All Known Implementing Classes:
  Parser, ParserTokenManager

    public interface ParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` | `and` RegularExpression Id.
`static int` | `AND` RegularExpression Id.
`static int` | `assign` RegularExpression Id.
`static int` | `COLON` RegularExpression Id.
`static int` | `COMMA` RegularExpression Id.
`static int` | `DEFAULT` Lexical state.
`static int` | `DIGIT` RegularExpression Id.
`static int` | `div` RegularExpression Id.
`static int` | `DOT` RegularExpression Id.
`static int` | `ELSE` RegularExpression Id.
`static int` | `ELVIS` RegularExpression Id.
`static int` | `EMPTY` RegularExpression Id.
`static int` | `EOF` End of File.
`static int` | `eq` RegularExpression Id.
`static int` | `FALSE` RegularExpression Id.
`static int` | `FLOAT_LITERAL` RegularExpression Id.
`static int` | `FOR` RegularExpression Id.
`static int` | `FOR_EACH_IN` Lexical state.
`static int` | `FOREACH` RegularExpression Id.
`static int` | `ge` RegularExpression Id.
`static int` | `gt` RegularExpression Id.
`static int` | `IDENTIFIER` RegularExpression Id.
`static int` | `IF` RegularExpression Id.
`static int` | `IN` RegularExpression Id.
`static int` | `INTEGER_LITERAL` RegularExpression Id.
`static int` | `LBRACKET` RegularExpression Id.
`static int` | `LCURLY` RegularExpression Id.
`static int` | `le` RegularExpression Id.
`static int` | `LETTER` RegularExpression Id.
`static int` | `LPAREN` RegularExpression Id.
`static int` | `lt` RegularExpression Id.
`static int` | `minus` RegularExpression Id.
`static int` | `mod` RegularExpression Id.
`static int` | `mult` RegularExpression Id.
`static int` | `ne` RegularExpression Id.
`static int` | `NEW` RegularExpression Id.
`static int` | `not` RegularExpression Id.
`static int` | `NULL` RegularExpression Id.
`static int` | `or` RegularExpression Id.
`static int` | `OR` RegularExpression Id.
`static int` | `plus` RegularExpression Id.
`static int` | `QMARK` RegularExpression Id.
`static int` | `RBRACKET` RegularExpression Id.
`static int` | `RCURLY` RegularExpression Id.
`static int` | `REGISTER` RegularExpression Id.
`static int` | `REGISTERS` Lexical state.
`static int` | `req` RegularExpression Id.
`static int` | `RETURN` RegularExpression Id.
`static int` | `rne` RegularExpression Id.
`static int` | `RPAREN` RegularExpression Id.
`static int` | `SEMICOL` RegularExpression Id.
`static int` | `SIZE` RegularExpression Id.
`static int` | `STRING_LITERAL` RegularExpression Id.
`static int` | `tilda` RegularExpression Id.
`static String[]` | `tokenImage` Literal token values.
`static int` | `TRUE` RegularExpression Id.
`static int` | `VAR` RegularExpression Id.
`static int` | `WHILE` RegularExpression Id.
`static int` | `xor` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### IF

    static final int IF

  RegularExpression Id.

  See Also:
    Constant Field Values

### ELSE

    static final int ELSE

  RegularExpression Id.

  See Also:
    Constant Field Values

### FOR

    static final int FOR

  RegularExpression Id.

  See Also:
    Constant Field Values

### FOREACH

    static final int FOREACH

  RegularExpression Id.

  See Also:
    Constant Field Values

### WHILE

    static final int WHILE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NEW

    static final int NEW

  RegularExpression Id.

  See Also:
    Constant Field Values

### VAR

    static final int VAR

  RegularExpression Id.

  See Also:
    Constant Field Values

### EMPTY

    static final int EMPTY

  RegularExpression Id.

  See Also:
    Constant Field Values

### SIZE

    static final int SIZE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NULL

    static final int NULL

  RegularExpression Id.

  See Also:
    Constant Field Values

### TRUE

    static final int TRUE

  RegularExpression Id.

  See Also:
    Constant Field Values

### FALSE

    static final int FALSE

  RegularExpression Id.

  See Also:
    Constant Field Values

### RETURN

    static final int RETURN

  RegularExpression Id.

  See Also:
    Constant Field Values

### IN

    static final int IN

  RegularExpression Id.

  See Also:
    Constant Field Values

### LPAREN

    static final int LPAREN

  RegularExpression Id.

  See Also:
    Constant Field Values

### RPAREN

    static final int RPAREN

  RegularExpression Id.

  See Also:
    Constant Field Values

### LCURLY

    static final int LCURLY

  RegularExpression Id.

  See Also:
    Constant Field Values

### RCURLY

    static final int RCURLY

  RegularExpression Id.

  See Also:
    Constant Field Values

### LBRACKET

    static final int LBRACKET

  RegularExpression Id.

  See Also:
    Constant Field Values

### RBRACKET

    static final int RBRACKET

  RegularExpression Id.

  See Also:
    Constant Field Values

### SEMICOL

    static final int SEMICOL

  RegularExpression Id.

  See Also:
    Constant Field Values

### COLON

    static final int COLON

  RegularExpression Id.

  See Also:
    Constant Field Values

### COMMA

    static final int COMMA

  RegularExpression Id.

  See Also:
    Constant Field Values

### DOT

    static final int DOT

  RegularExpression Id.

  See Also:
    Constant Field Values

### QMARK

    static final int QMARK

  RegularExpression Id.

  See Also:
    Constant Field Values

### ELVIS

    static final int ELVIS

  RegularExpression Id.

  See Also:
    Constant Field Values

### AND

    static final int AND

  RegularExpression Id.

  See Also:
    Constant Field Values

### OR

    static final int OR

  RegularExpression Id.

  See Also:
    Constant Field Values

### eq

    static final int eq

  RegularExpression Id.

  See Also:
    Constant Field Values

### ne

    static final int ne

  RegularExpression Id.

  See Also:
    Constant Field Values

### req

    static final int req

  RegularExpression Id.

  See Also:
    Constant Field Values

### rne

    static final int rne

  RegularExpression Id.

  See Also:
    Constant Field Values

### gt

    static final int gt

  RegularExpression Id.

  See Also:
    Constant Field Values

### ge

    static final int ge

  RegularExpression Id.

  See Also:
    Constant Field Values

### lt

    static final int lt

  RegularExpression Id.

  See Also:
    Constant Field Values

### le

    static final int le

  RegularExpression Id.

  See Also:
    Constant Field Values

### assign

    static final int assign

  RegularExpression Id.

  See Also:
    Constant Field Values

### mod

    static final int mod

  RegularExpression Id.

  See Also:
    Constant Field Values

### div

    static final int div

  RegularExpression Id.

  See Also:
    Constant Field Values

### not

    static final int not

  RegularExpression Id.

  See Also:
    Constant Field Values

### plus

    static final int plus

  RegularExpression Id.

  See Also:
    Constant Field Values

### minus

    static final int minus

  RegularExpression Id.

  See Also:
    Constant Field Values

### mult

    static final int mult

  RegularExpression Id.

  See Also:
    Constant Field Values

### tilda

    static final int tilda

  RegularExpression Id.

  See Also:
    Constant Field Values

### and

    static final int and

  RegularExpression Id.

  See Also:
    Constant Field Values

### or

    static final int or

  RegularExpression Id.

  See Also:
    Constant Field Values

### xor

    static final int xor

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

  RegularExpression Id.

  See Also:
    Constant Field Values

### LETTER

    static final int LETTER

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIGIT

    static final int DIGIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### REGISTER

    static final int REGISTER

  RegularExpression Id.

  See Also:
    Constant Field Values

### INTEGER_LITERAL

    static final int INTEGER_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### FLOAT_LITERAL

    static final int FLOAT_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### REGISTERS

    static final int REGISTERS

  Lexical state.

  See Also:
    Constant Field Values

### FOR_EACH_IN

    static final int FOR_EACH_IN

  Lexical state.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final String[] tokenImage

  Literal token values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.